Package org.apache.torque.generator.configuration

# Class ReadConfigurationTest

java.lang.Object
org.apache.torque.generator.BaseTest
org.apache.torque.generator.configuration.ReadConfigurationTest

public class ReadConfigurationTest extends BaseTest
Tests whether the configuration is read correctly.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadConfigurationTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setUp(org.junit.jupiter.api.TestInfo testInfo, org.junit.jupiter.api.RepetitionInfo repetitionInfo)`
  `void`
  `testInheritance()`
  `void`
  `testOverrideOptions()`
  `void`
  `testReadConfigFromClasspath()`
  `void`
  `testReadConfiguration()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReadConfigurationTest

    public ReadConfigurationTest()

- ## Method Details

  - ### setUp

    @BeforeEach public void setUp(org.junit.jupiter.api.TestInfo testInfo, org.junit.jupiter.api.RepetitionInfo repetitionInfo)

  - ### testReadConfiguration

    @RepeatedTest(value=4, name="{displayName} {currentRepetition}/{totalRepetitions}") @DisplayName("test read configuration") public void testReadConfiguration() throws Exception
    Throws:
      `Exception`

  - ### testReadConfigFromClasspath

    @RepeatedTest(value=2, name="{displayName} {currentRepetition}/{totalRepetitions}") @DisplayName("test read from classpath configuration") public void testReadConfigFromClasspath() throws Exception
    Throws:
      `Exception`

  - ### testOverrideOptions

    @RepeatedTest(value=2, name="{displayName} {currentRepetition}/{totalRepetitions}") @DisplayName("test override configuration") public void testOverrideOptions() throws Exception
    Throws:
      `Exception`

  - ### testInheritance

    @RepeatedTest(value=2, name="{displayName} {currentRepetition}/{totalRepetitions}") @DisplayName("test inheritance configuration") public void testInheritance() throws Exception
    Throws:
      `Exception`